Subject: [PATCH 2/2] arm64: dts: set UART1 clock frequency to 150MHz

From: [email-masked] (Wei Xu)
Date: Fri, 19 Aug 2016 09:29:15 +0100

On 19/08/2016 07:57, Jorge Ramirez wrote:
> On 07/11/2016 11:53 AM, Wei Xu wrote:
>> Hi Jorge,
>>
>> On 08/07/2016 09:11, Jorge Ramirez-Ortiz wrote:
>>> Enable support for higher baud rates (up to 3Mbps) in UART1 - required
>>> for bluetooth transfers.
>>>
>>> Signed-off-by: Jorge Ramirez-Ortiz <[email-masked]>
>>> Tested-by: Jorge Ramirez-Ortiz <[email-masked]>
>> Fine to me.
>> Thanks!
>>
>> Acked-by: Wei Xu <[email-masked]>
>>
>> Best Regards,
>> Wei
>>
>>> ---
>>>   arch/arm64/boot/dts/hisilicon/hi6220-hikey.dts | 2 ++
>>>   1 file changed, 2 insertions(+)
>>>
>>> diff --git a/arch/arm64/boot/dts/hisilicon/hi6220-hikey.dts b/arch/arm64/boot/dts/hisilicon/hi6220-hikey.dts
>>> index e92a30c..27be812 100644
>>> --- a/arch/arm64/boot/dts/hisilicon/hi6220-hikey.dts
>>> +++ b/arch/arm64/boot/dts/hisilicon/hi6220-hikey.dts
>>> @@ -55,6 +55,8 @@
>>>           };
>>>             uart1: uart at f7111000 {
>>> +            assigned-clocks = <&sys_ctrl HI6220_UART1_SRC>;
>>> +            assigned-clock-rates = <150000000>;
>>>               status = "ok";
>>>           };
>>>  

Hi Jorge,

> Wei Xu,
> 
> I couldn't find the change upstream. has it been merged?

No.
I thought Mike will pick them.
If nothing need to be change, I will pick up it.

Best Regards,
Wei

> .